Bug 867325 - Coredump with volume set group with null values
Coredump with volume set group with null values
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Ric Wheeler
Anush Shetty
:
Depends On: 851996
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 06:20 EDT by Vidya Sakar
Modified: 2015-08-10 15:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 851996
Environment:
Last Closed: 2015-08-10 03:46:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-10-17 06:20:10 EDT
+++ This bug was initially created as a clone of Bug #851996 +++

Description of problem: Doing a volume group set with null value in group file resulted in a coredump


Version-Release number of selected component (if applicable):

Source from gerrit with http://review.gluster.com/#change,3831


How reproducible: Consistently


Steps to Reproduce:
1. cat /var/lib/glusterd/groups/virt
performance.write-behind=
2. gluster volume set test group virt
3.
  
Actual results:

gdb) bt
#0  0x0000003324435965 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003324437118 in __GI_abort () at abort.c:91
#2  0x000000332447568b in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x3324578bc8 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
#3  0x000000332447c80e in malloc_printerr (ptr=0x7fe605eb1be0, str=0x3324576a55 "free(): invalid pointer", action=3) at malloc.c:5027
#4  _int_free (av=0x33247b0720, p=0x7fe605eb1bd0, have_lock=0) at malloc.c:3948
#5  0x000000000041cd6d in cli_add_key_group (dict=dict@entry=0xa72708, value=value@entry=0x7fff6d6644da "virt", key=<optimized out>)
    at cli-cmd-parser.c:722
#6  0x000000000041e557 in cli_cmd_volume_set_parse (words=words@entry=0x7fff6d663af0, wordcount=wordcount@entry=5, 
    options=options@entry=0x7fe605eb2de8) at cli-cmd-parser.c:787
#7  0x000000000040a422 in cli_cmd_volume_set_cbk (state=<optimized out>, word=0xa92aa0, words=0x7fff6d663af0, wordcount=5) at cli-cmd-volume.c:925
#8  0x0000000000408517 in cli_cmd_process (state=0x7fff6d663900, argc=5, argv=0x7fff6d663af0) at cli-cmd.c:150
#9  0x0000000000407fa0 in cli_batch (d=<optimized out>) at input.c:44
#10 0x0000003324807d14 in start_thread (arg=0x7fe605eb3700) at pthread_create.c:309
#11 0x00000033244f199d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

# /gluster/reviewgfs/sbin/gluster volume set test group virt
*** glibc detected *** /gluster/reviewgfs/sbin/gluster: free(): invalid pointer: 0x00007fe605eb1be0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x332447c80e]
/gluster/reviewgfs/sbin/gluster[0x41cd6d]
/gluster/reviewgfs/sbin/gluster(cli_cmd_volume_set_parse+0x257)[0x41e557]
/gluster/reviewgfs/sbin/gluster(cli_cmd_volume_set_cbk+0xf2)[0x40a422]
/gluster/reviewgfs/sbin/gluster(cli_cmd_process+0x137)[0x408517]
/gluster/reviewgfs/sbin/gluster(cli_batch+0x10)[0x407fa0]
/lib64/libpthread.so.0[0x3324807d14]
/lib64/libc.so.6(clone+0x6d)[0x33244f199d]
Comment 1 krishnan parthasarathi 2012-10-17 08:02:36 EDT
http://review.gluster.org/3896 and http://review.gluster.org/3944 patches are merged in release-3.3 branch. This should fix the issue.
Comment 2 Anush Shetty 2012-11-19 08:58:16 EST
Verified with glusterfs-3.3.0rhsvirt1-8.el6rhs.x86_64

Note You need to log in before you can comment on or make changes to this bug.